:root {
  --primary: #101e89;
  --bg: #fff(250, 211, 14);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
  border: none;
  text-decoration: none;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Poppins", sans-serif;
  background-color: var(--bg);
  color: rgb(255, 255, 255);
  min-height: 2000px;
}

/* navbar */
.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1.4rem 7%;
  background-color: var(--primary);
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 9999;
}

.navbar .navbar-logo {
  font-size: 2rem;
  font-weight: 700;
  color: rgb(255, 255, 255);
  font-style: italic;
}

.navbar .navbar-logo span {
  color: var(--primary);
}

.navbar .navbar-nav a {
  color: #fff;
  display: inline-block;
  font-size: 1.3rem;
  margin: 0 1rem;
}

.navbar .navbar-nav a:hover {
  color: #fbe604;
}

.navbar .navbar-nav a::after {
  content: "";
  display: block;
  padding-bottom: 0.5rem;
  border-bottom: 0.1rem solid var(--primary);
  transform: scaleX(0);
  transition: 0.2s linear;
}

.navbar .navbar-nav a:hover::after {
  transform: scaleX(0.5);
}

.navbar .navbar-extra a {
  color: rgb(255, 255, 255);
  margin: 0 0.5rem;
}

.navbar .navbar-extra a:hover {
  color: var(--primary);
}

#hamburger-menu {
  display: none;
}

/* hero section */
.hero {
  min-height: 100vh;
  display: flex;
  align-items: center;
  background-image: url("../img/terminaldepan1.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  position: relative;
}

.hero::after {
    content: '';
    display: block;
    position: absolute;
    width: 100%;
    height: 20%;
    bottom: 0;
    background: linear-gradient(0deg, rgb(255, 255, 255) 8%, rgba(250, 211, 14, 0) 55%);
}

.hero .content {
    padding: 1.4rem 7%;
    max-width: 60rem;
}

.hero .content h1 {
    font-size: 4em;
    color: rgb(255, 255, 255);
    text-shadow: 1px 1px 3px rgb(0, 0, 0);
}

.hero .content h1 span {
    color: var(--primary);
}

.hero .content p {
    font-size: 1.6rem;
    margin-top: -5rem;
    line-height: 5;
    text-shadow: 1px 1px 3px rgb(0, 0, 0);
    mix-blend-mode: difference;
}

.row .content .cta {
    margin-top: 0.5rem;
    display: inline;
    padding: 0.5rem 1.5rem;
    font-size: 1.2rem;
    color: rgb(255, 255, 255);
    background-color: var(--primary);
    border-radius: 0.5rem;
    box-shadow: #f5220b;
}

/* about section */
.about,
.menu,
.route,
.contact {
  padding: 10rem 7% 1.4rem;
}

.about h2,
.menu h2,
.route h2,
.contact h2 {
  text-align: center;
  font-size: 2.6rem;
  margin-bottom: 3rem;
}

.about h2 span,
.menu h2 span,
.route h2 span,
.contact h2 span {
  color: var(--primary);
}

.about .row {
  display: flex;
}

.about .row .about-img {
  flex: 1 1 45rem;
}

.about .row .about-img img {
  width: 100%;
}

.about .row .content {
  flex: 1 1 35rem;
  padding: 0 1rem;
}

.about .row .content h3 {
  font-size: 1.6rem;
  margin-bottom: 1rem;
  color: #101e89;
}

.about .row .content p {
  margin-bottom: 0.8rem;
  font-size: 1.2rem;
  line-height: 1.6;
  color: #101e89;
}

/* menu section */
.menu h2,
.route h2,
.contact h2 {
  margin-bottom: 1.5rem;
}
.menu p,
.route p,
.contact p {
  text-align: center;
  max-width: 30rem;
  margin: auto;
  font-size: 1.2rem;
  line-height: 1.6;
  color: #101e89;
}

.menu .row {
  display: flex;
  margin-top: 5rem;
  justify-content: center;
}

.menu .row .menu-card {
  text-align: center;
}

.menu .row .menu-card img {
  border-radius: 50%;
  width: 80%;
}

.menu .row .menu-card .menu-card-tittle {
  margin-top: 1.5rem auto 0,5rem;
}

/* route section */
.route .row {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
  gap: 1.5rem;
  margin-top: 4rem;
}

.route .route-card {
  text-align: center;
  border: 1px solid #f5740b;
  padding: 2rem;
}

.route .route-icon {
  display: flex;
  justify-content: center;
  gap: 0.5rem;
}

.route .route-icon a {
  width: 4rem;
  height: 4rem;
  color: #eee;
  margin: 0.3rem;
  border: 1px solid #666;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.route .route-icon a:hover {
  background-color: var(--primary);
  border: 1px solid var(--primary);
}

.route .route-image {
  padding: 1rem 0;
}

.route .route-image img {
  height: 25rem;
}

.route .route-content h3 {
  font-size: 2rem;
  color: #101e89;
}



/* contact section */
.contact .row {
  display: flex;
  margin-top: 2rem;
  background-color: var(--primary);
}

.contact .row .map {
  flex: 1 1 45rem;
  width: 100%;
  object-fit: cover;
}

.contact .row form {
  flex: 1 1 45rem;
  padding: 5rem 2rem;
  text-align: center;
}

.contact .row form .input-group {
  display: flex;
  align-items: center;
  margin-top: 2rem;
  background-color: var(--bg);
  border: 1px solid #eee;
  padding-left: 2rem;
}

.contact .row form .input-group input {
  width: 100%;
  padding: 2rem;
  font-size: 1.7rem;
  background: none;
  color: #ffffff;
}

.contact .row form .btn {
  margin-top: 3rem;
  display: inline-block;
  padding: 1rem 3rem;
  font-size: 1.7rem;
  color: #ffffff;
  background-color: #fba500;
  cursor: pointer;
}

/* footer */
footer {
  background-color: var(--primary);
  text-align: center;
  padding: 1rem 0 3rem;
  margin-top: 3rem;
}

footer .socials {
  padding: 1rem 0;
}

footer .socials a {
  color: #ffffff;
  margin: 1rem;
}

footer .socials a:hover {
  color: var(--bg);
}

footer .credit {
  font-size: 0.8rem;
}

footer .credit a {
  color: var(--bg);
  font-weight: 700;
}

/* modal box */
/* item detail */
.modal {
  display: none;
  position: fixed;
  z-index: 9999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.6);
}

.modal-container {
  position: relative;
  background-color: #eee;
  color: var(--bg);
  margin: 15% auto;
  padding: 1.2rem;
  border: 1px solid #666;
  width: 80%;
  animation: animatemodal 0.5s;
}

/* modal animation */
@keyframes animatemodal {
  from {
    top: -300px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}

.modal-container .close-icon {
  position: absolute;
  right: 1rem;
}

.modal-content {
  display: flex;
  flex-wrap: nowrap;
}

.modal-content img {
  height: 17rem;
  margin-right: 2rem;
  margin-bottom: 2rem;
}

.modal-content h3 {
  font-size: 1.6rem;
  color: #666;
}

.modal-content p {
  font-size: 1.2rem;
  line-height: 1.8rem;
  margin-top: 1.2rem;
  color: #666;
}

.modal-content a {
  display: flex;
  gap: 1rem;
  width: 9rem;
  background-color: #101e89;
  color: #fff;
  margin-top: 1rem;
  padding: 1rem 1.6rem;
  font-size: 1.3rem;
}

/* Media Queries */

/* Laptop */
@media (max-width: 1366px) {
  html {
    font-size: 75%;
  }
}

/* Tablet */
@media (max-width: 758px) {
  html {
    font-size: 62.5%;
  }

  #hamburger-menu {
    display: inline-block;
  }

  .navbar .navbar-nav {
    position: absolute;
    top: 100%;
    right: -100%;
    background-color: #101e89;
    width: 30rem;
    height: 100vh;
    transition: 0.3s;
  }

  .navbar .navbar-nav.active {
    right: 0;
  }

  .navbar .navbar-nav a {
    color: var(--bg);
    display: block;
    margin: 1.5rem;
    padding: 0.5rem;
    font-size: 2rem;
  }

  .navbar .navbar-nav a::after {
    transform-origin: 0 0;
  }

  .navbar .navbar-nav a:hover::after {
    transform: scaleX(0.2);
  }

  .about .row {
    flex-wrap: wrap;
  }

  .about .row .about-img img {
    height: 24rem;
    object-fit: cover;
    object-position: center;
  }

  .about .row .content {
    padding: 0;
  }

  .about .row .content h3 {
    margin-top: 1rem;
    font-size: 2rem;
  }

  .about .row .content p {
    font-size: 1.2rem;
  }

  .menu p {
    font-size: 1.2rem;
  }

  .menu .row {
    flex-wrap: wrap;
  }

  .menu .row .menu-card img {
    flex-wrap: wrap;
    display: center;
    object-position: center;
    margin: 10px;
    flex-direction: column;
    height: auto;
  }

  .contact .row {
    flex-wrap: wrap;
  }

  .contact .row .map {
    height: 30rem;
  }

  .contact .row form {
    padding-top: 0;
  }

  .modal-content {
    flex-wrap: wrap;
  }
}

/* Mobile Phone */
@media (max-width: 450px) {
  html {
    font-size: 55%;
  }
}
